Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454550 - ACPI / Brightness don't work correctly
Summary: ACPI / Brightness don't work correctly
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-08 21:50 UTC by analyzer
Modified: 2008-11-22 21:09 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-22 21:09:17 UTC


Attachments (Terms of Use)
complete dmesg output (deleted)
2008-07-08 21:50 UTC, analyzer
no flags Details
dmesg output kernel 2.6.25.10-47 (deleted)
2008-07-16 18:35 UTC, analyzer
no flags Details

Description analyzer 2008-07-08 21:50:56 UTC
Description of problem:
Brightness on a GX700 laptop is too low at boot.
ACPI seems not to be working right.

dmesg output for ACPI (complete dmesg attached):
ACPI: RSDP 000F88C0, 0014 (r0 MSI_NB)
ACPI: RSDT 7FFB0000, 0040 (r1 MSI_NB MEGABOOK 20070726 MSFT       97)
ACPI: FACP 7FFB0200, 0084 (r2 MSI_NB MEGABOOK 20070726 MSFT       97)
ACPI: DSDT 7FFB05B0, 4BF8 (r1 MSI_NB MEGABOOK        0 INTL 20051117)
ACPI: FACS 7FFBE000, 0040
ACPI: APIC 7FFB0390, 005C (r1 MSI_NB MEGABOOK 20070726 MSFT       97)
ACPI: MCFG 7FFB03F0, 003C (r1 MSI_NB MEGABOOK 20070726 MSFT       97)
ACPI: SLIC 7FFB0430, 0176 (r1 MSI_NB MEGABOOK 20070726 MSFT       97)
ACPI: OEMB 7FFBE040, 0071 (r1 MSI_NB MEGABOOK 20070726 MSFT       97)
ACPI: HPET 7FFB51B0, 0038 (r1 MSI_NB OEMHPET  20070726 MSFT       97)
ACPI: SSDT 7FFBE960, 04E6 (r1  PmRef    CpuPm     3000 INTL 20051117)
ACPI: PM-Timer IO Port: 0x808
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
ACPI: HPET id: 0xffffffff base: 0xfed00000
Using ACPI (MADT) for SMP configuration information
ACPI: Core revision 20070126
ACPI: bus type pci registered
ACPI: EC: Look up EC in DSDT
ACPI: Interpreter enabled
ACPI: (supports S0 S1 S3 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: Error attaching device data
ACPI: Error attaching device data
ACPI: EC: non-query interrupt received, switching to interrupt mode
ACPI: EC: GPE = 0x17, I/O: command/status = 0x66, data = 0x62
ACPI: EC: driver started in interrupt mode
ACPI: PCI Root Bridge [PCI0] (0000:00)
pci 0000:00:1f.0: quirk: region 0800-087f claimed by ICH6 ACPI/GPIO/TCO
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P1._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P8._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P2._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P3._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P4._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P6._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P7._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 *10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 *5 6 7 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 10 11 12 14 *15)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 4 5 6 *7 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKH] (IRQs *3 4 5 6 7 10 11 12 14 15)
ACPI Warning (tbutils-0217): Incorrect checksum in table [OEMB] -  5D, should be
88 [20070126]
pnp: PnP ACPI init
ACPI: bus type pnp registered
pnp: PnP ACPI: found 14 devices
ACPI: ACPI bus type pnp unregistered
PCI: Using ACPI for IRQ routing
ACPI: PCI Interrupt 0000:00:01.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:00:1c.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:00:1c.1[B] -> GSI 17 (level, low) -> IRQ 17
ACPI: PCI Interrupt 0000:00:1c.2[C] -> GSI 18 (level, low) -> IRQ 18
ACPI: PCI Interrupt 0000:00:1c.3[D] -> GSI 19 (level, low) -> IRQ 19
ACPI: PCI Interrupt 0000:00:1c.4[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: SSDT 7FFBE190, 027A (r1  PmRef  Cpu0Ist     3000 INTL 20051117)
ACPI: SSDT 7FFBE4A0, 04B6 (r1  PmRef  Cpu0Cst     3001 INTL 20051117)
ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3])
ACPI: ACPI0007:00 is registered as cooling_device0
ACPI: SSDT 7FFBE0C0, 00C8 (r1  PmRef  Cpu1Ist     3000 INTL 20051117)
ACPI: SSDT 7FFBE410, 0085 (r1  PmRef  Cpu1Cst     3000 INTL 20051117)
ACPI: CPU1 (power states: C1[C1] C2[C2] C3[C3])
ACPI: ACPI0007:01 is registered as cooling_device1
ACPI: LNXTHERM:01 is registered as thermal_zone0
ACPI: Thermal Zone [THRM] (50 C)
ACPI: PCI Interrupt 0000:00:1a.7[C] -> GSI 18 (level, low) -> IRQ 18
ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 23 (level, low) -> IRQ 23
ACPI: PCI Interrupt 0000:00:1a.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:00:1a.1[B] -> GSI 21 (level, low) -> IRQ 21
ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 23 (level, low) -> IRQ 23
ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19 (level, low) -> IRQ 19
ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 18
ACPI: PCI Interrupt 0000:00:1f.2[B] -> GSI 18 (level, low) -> IRQ 18
ACPI: PCI Interrupt 0000:00:1f.1[A] -> GSI 19 (level, low) -> IRQ 19
ACPI: AC Adapter [ADP1] (off-line)
ACPI: Power Button (FF) [PWRF]
ACPI: Lid Switch [LID0]
ACPI: Power Button (CM) [PWRB]
ACPI: Battery Slot [BAT1] (battery present)
ACPI: device:11 is registered as cooling_device2
ACPI: Video Device [VGA] (multi-head: yes  rom: no  post: no)
ACPI: PCI Interrupt 0000:07:00.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:01:04.2[A] -> GSI 17 (level, low) -> IRQ 17
ACPI: PCI Interrupt 0000:01:04.0[A] -> GSI 17 (level, low) -> IRQ 17
ACPI: PCI Interrupt 0000:06:00.0[A] -> GSI 19 (level, low) -> IRQ 19
ACPI: PCI interrupt for device 0000:06:00.0 disabled
ACPI: PCI Interrupt 0000:08:00.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 21 (level, low) -> IRQ 21
ACPI: EC: acpi_ec_wait timeout, status = 16, expect_event = 1
ACPI: EC: read timeout, command = 128
ACPI Exception (evregion-0420): AE_TIME, Returned by Handler for
[EmbeddedControl] [20070126]
ACPI Exception (dswexec-0462): AE_TIME, While resolving operands for [OpcodeName
unavailable] [20070126]
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.SBRG.EC__.BAT1.UPBS] (Node f7813ee8), AE_TIME
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.SBRG.EC__.BAT1._BST] (Node f7813e88), AE_TIME
ACPI Exception (battery-0360): AE_TIME, Evaluating _BST [20070126]
ACPI: PCI Interrupt 0000:06:00.0[A] -> GSI 19 (level, low) -> IRQ 19
ACPI: PCI interrupt for device 0000:06:00.0 disabled
ACPI: PCI Interrupt 0000:06:00.0[A] -> GSI 19 (level, low) -> IRQ 19
ACPI: PCI interrupt for device 0000:06:00.0 disabled
ACPI: PCI Interrupt 0000:06:00.0[A] -> GSI 19 (level, low) -> IRQ 19


Version-Release number of selected component:
Linux fedorabox 2.6.25.10-46.fc8 #1 SMP Fri Jul 4 17:34:28 EDT 2008 i686 i686
i386 GNU/Linux


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 analyzer 2008-07-08 21:50:56 UTC
Created attachment 311319 [details]
complete dmesg output

Comment 2 analyzer 2008-07-15 17:59:19 UTC
Same behavior with kernel 2.6.25.10-47.fc8 (stable), screen is too dark on boot

Comment 3 analyzer 2008-07-16 18:35:17 UTC
Created attachment 311979 [details]
dmesg output kernel 2.6.25.10-47

Complete dmesg output issued with kernel 2.6.25.10-47.fc8

Comment 4 analyzer 2008-07-19 18:14:07 UTC
Additional infos:
ACPI: EC: acpi_ec_wait timeout, status = 8, expect_event = 1
ACPI: EC: read timeout, command = 130
ACPI: EC: acpi_ec_wait timeout, status = 16, expect_event = 1
ACPI: EC: read timeout, command = 128
ACPI Exception (evregion-0420): AE_TIME, Returned by Handler for
[EmbeddedControl] [20070126]
ACPI Exception (dswexec-0462): AE_TIME, While resolving operands for [OpcodeName
unavailable] [20070126]
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.SBRG.EC__.BAT1.UPBS] (Node f7813f18), AE_TIME
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.SBRG.EC__.BAT1._BST] (Node f7813eb8), AE_TIME
ACPI Exception (battery-0360): AE_TIME, Evaluating _BST [20070126]


Comment 5 analyzer 2008-07-26 12:50:57 UTC
Update to Linux fedorabox 2.6.25.11-60.fc8 #1 SMP Mon Jul 21 02:06:29 EDT 2008
i686 i686 i386 GNU/Linux

[root@~fedorabox] [~]# dmesg | grep -e "ACPI" -e "PIC" -e "IOAPIC"
 BIOS-e820: 000000007ffb0000 - 000000007ffbe000 (ACPI data)
 BIOS-e820: 000000007ffbe000 - 000000007fff0000 (ACPI NVS)
Using APIC driver default
ACPI: RSDP 000F8DC0, 0014 (r0 ACPIAM)
ACPI: RSDT 7FFB0000, 0040 (r1 MSI_NB MEGABOOK 20080311 MSFT       97)
ACPI: FACP 7FFB0200, 0084 (r2 031108 FACP1029 20080311 MSFT       97)
ACPI: DSDT 7FFB05B0, 4FF8 (r1  17190 17190000        0 INTL 20051117)
ACPI: FACS 7FFBE000, 0040
ACPI: APIC 7FFB0390, 005C (r1 031108 APIC1029 20080311 MSFT       97)
ACPI: MCFG 7FFB03F0, 003C (r1 031108 OEMMCFG  20080311 MSFT       97)
ACPI: SLIC 7FFB0430, 0176 (r1 MSI_NB MEGABOOK 20080311 MSFT       97)
ACPI: OEMB 7FFBE040, 0071 (r1 031108 OEMB1029 20080311 MSFT       97)
ACPI: HPET 7FFB55B0, 0038 (r1 031108 OEMHPET  20080311 MSFT       97)
ACPI: SSDT 7FFBEA40, 04F0 (r1  PmRef    CpuPm     3000 INTL 20051117)
ACPI: PM-Timer IO Port: 0x808
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
Processor #0 6:15 APIC version 20
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
Processor #1 6:15 APIC version 20
ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 2, version 32, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Enabling APIC mode:  Flat.  Using 1 I/O APICs
ACPI: HPET id: 0x8086a201 base: 0xfed00000
Using ACPI (MADT) for SMP configuration information
mapped APIC to ffffb000 (fee00000)
mapped IOAPIC to ffffa000 (fec00000)
ACPI: Core revision 20070126
ENABLING IO-APIC IRQs
ACPI: bus type pci registered
ACPI: EC: Look up EC in DSDT
ACPI: Interpreter enabled
ACPI: (supports S0 S1 S3 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: Error attaching device data
ACPI: Error attaching device data
ACPI: EC: non-query interrupt received, switching to interrupt mode
ACPI: EC: GPE = 0x17, I/O: command/status = 0x66, data = 0x62
ACPI: EC: driver started in interrupt mode
ACPI: PCI Root Bridge [PCI0] (0000:00)
pci 0000:00:1f.0: quirk: region 0800-087f claimed by ICH6 ACPI/GPIO/TCO
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P1._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P8._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P2._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P3._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P4._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P6._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P7._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 *10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 *5 6 7 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs *3 4 5 6 7 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 *4 5 6 7 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 *7 10 11 12 14 15)
ACPI Warning (tbutils-0217): Incorrect checksum in table [OEMB] -  76, should be
A1 [20070126]
pnp: PnP ACPI init
ACPI: bus type pnp registered
pnp: PnP ACPI: found 13 devices
ACPI: ACPI bus type pnp unregistered
PCI: Using ACPI for IRQ routing
ACPI: PCI Interrupt 0000:00:01.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:00:1c.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:00:1c.1[B] -> GSI 17 (level, low) -> IRQ 17
ACPI: PCI Interrupt 0000:00:1c.2[C] -> GSI 18 (level, low) -> IRQ 18
ACPI: PCI Interrupt 0000:00:1c.3[D] -> GSI 19 (level, low) -> IRQ 19
ACPI: PCI Interrupt 0000:00:1c.4[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: SSDT 7FFBE190, 027E (r1  PmRef  Cpu0Ist     3000 INTL 20051117)
ACPI: SSDT 7FFBE4A0, 0594 (r1  PmRef  Cpu0Cst     3001 INTL 20051117)
ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3])
ACPI: ACPI0007:00 is registered as cooling_device0
ACPI: SSDT 7FFBE0C0, 00CC (r1  PmRef  Cpu1Ist     3000 INTL 20051117)
ACPI: SSDT 7FFBE410, 0085 (r1  PmRef  Cpu1Cst     3000 INTL 20051117)
ACPI: CPU1 (power states: C1[C1] C2[C2] C3[C3])
ACPI: ACPI0007:01 is registered as cooling_device1
ACPI: LNXTHERM:01 is registered as thermal_zone0
ACPI: Thermal Zone [THRM] (70 C)
ACPI: PCI Interrupt 0000:00:1a.7[C] -> GSI 18 (level, low) -> IRQ 18
ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 23 (level, low) -> IRQ 23
ACPI: PCI Interrupt 0000:00:1a.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:00:1a.1[B] -> GSI 21 (level, low) -> IRQ 21
ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 23 (level, low) -> IRQ 23
ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19 (level, low) -> IRQ 19
ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 18
ACPI: PCI Interrupt 0000:00:1f.2[B] -> GSI 18 (level, low) -> IRQ 18
ACPI: Power Button (FF) [PWRF]
ACPI: Lid Switch [LID0]
ACPI: Sleep Button (CM) [SLPB]
ACPI: Power Button (CM) [PWRB]
ACPI: device:11 is registered as cooling_device2
ACPI: Video Device [VGA] (multi-head: yes  rom: no  post: no)
ACPI: PCI Interrupt 0000:00:1f.3[C] -> GSI 17 (level, low) -> IRQ 17
ACPI: AC Adapter [ADP1] (on-line)
ACPI: PCI Interrupt 0000:01:04.2[A] -> GSI 17 (level, low) -> IRQ 17
ACPI: Battery Slot [BAT1] (battery present)
ACPI: WMI: Mapper loaded
ACPI: PCI Interrupt 0000:07:00.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:01:04.0[A] -> GSI 17 (level, low) -> IRQ 17
ACPI: PCI Interrupt 0000:08:00.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:06:00.0[A] -> GSI 19 (level, low) -> IRQ 19
ACPI: PCI interrupt for device 0000:06:00.0 disabled
ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 21 (level, low) -> IRQ 21

Comment 6 analyzer 2008-09-08 19:15:49 UTC
Updated to Linux fedorabox 2.6.25.14-108.fc9.i686 #1 SMP Mon Aug 4 14:08:11 EDT 2008 i686 i686 i386 GNU/Linux

[root@~fedorabox] [~]# dmesg | grep -e "ACPI" -e "PIC" -e "IOAPIC"
 BIOS-e820: 000000007ffb0000 - 000000007ffbe000 (ACPI data)
 BIOS-e820: 000000007ffbe000 - 000000007fff0000 (ACPI NVS)
Using APIC driver default
ACPI: RSDP 000F8DC0, 0014 (r0 ACPIAM)
ACPI: RSDT 7FFB0000, 0040 (r1 MSI_NB MEGABOOK 20080311 MSFT       97)
ACPI: FACP 7FFB0200, 0084 (r2 031108 FACP1029 20080311 MSFT       97)
ACPI: DSDT 7FFB05B0, 4FF8 (r1  17190 17190000        0 INTL 20051117)
ACPI: FACS 7FFBE000, 0040
ACPI: APIC 7FFB0390, 005C (r1 031108 APIC1029 20080311 MSFT       97)
ACPI: MCFG 7FFB03F0, 003C (r1 031108 OEMMCFG  20080311 MSFT       97)
ACPI: SLIC 7FFB0430, 0176 (r1 MSI_NB MEGABOOK 20080311 MSFT       97)
ACPI: OEMB 7FFBE040, 0071 (r1 031108 OEMB1029 20080311 MSFT       97)
ACPI: HPET 7FFB55B0, 0038 (r1 031108 OEMHPET  20080311 MSFT       97)
ACPI: SSDT 7FFBEA40, 04F0 (r1  PmRef    CpuPm     3000 INTL 20051117)
ACPI: PM-Timer IO Port: 0x808
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
Processor #0 6:15 APIC version 20
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
Processor #1 6:15 APIC version 20
ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 2, version 32, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Enabling APIC mode:  Flat.  Using 1 I/O APICs
ACPI: HPET id: 0x8086a201 base: 0xfed00000
Using ACPI (MADT) for SMP configuration information
mapped APIC to ffffb000 (fee00000)
mapped IOAPIC to ffffa000 (fec00000)
ACPI: Core revision 20070126
ENABLING IO-APIC IRQs
ACPI: bus type pci registered
ACPI: EC: Look up EC in DSDT
ACPI: Interpreter enabled
ACPI: (supports S0 S1 S3 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: Error attaching device data
ACPI: Error attaching device data
ACPI: EC: non-query interrupt received, switching to interrupt mode
ACPI: EC: GPE = 0x17, I/O: command/status = 0x66, data = 0x62
ACPI: EC: driver started in interrupt mode
ACPI: PCI Root Bridge [PCI0] (0000:00)
pci 0000:00:1f.0: quirk: region 0800-087f claimed by ICH6 ACPI/GPIO/TCO
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P1._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P8._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P2._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P3._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P4._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P6._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P7._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 *10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 *5 6 7 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs *3 4 5 6 7 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 *4 5 6 7 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 *7 10 11 12 14 15)
ACPI Warning (tbutils-0217): Incorrect checksum in table [OEMB] -  76, should be A1 [20070126]
pnp: PnP ACPI init
ACPI: bus type pnp registered
pnp: PnP ACPI: found 13 devices
ACPI: ACPI bus type pnp unregistered
PCI: Using ACPI for IRQ routing
ACPI: RTC can wake from S4
ACPI: PCI Interrupt 0000:00:01.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:00:1c.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:00:1c.1[B] -> GSI 17 (level, low) -> IRQ 17
ACPI: PCI Interrupt 0000:00:1c.2[C] -> GSI 18 (level, low) -> IRQ 18
ACPI: PCI Interrupt 0000:00:1c.3[D] -> GSI 19 (level, low) -> IRQ 19
ACPI: PCI Interrupt 0000:00:1c.4[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: SSDT 7FFBE190, 027E (r1  PmRef  Cpu0Ist     3000 INTL 20051117)
ACPI: SSDT 7FFBE4A0, 0594 (r1  PmRef  Cpu0Cst     3001 INTL 20051117)
ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3])
ACPI: ACPI0007:00 is registered as cooling_device0
ACPI: SSDT 7FFBE0C0, 00CC (r1  PmRef  Cpu1Ist     3000 INTL 20051117)
ACPI: SSDT 7FFBE410, 0085 (r1  PmRef  Cpu1Cst     3000 INTL 20051117)
ACPI: CPU1 (power states: C1[C1] C2[C2] C3[C3])
ACPI: ACPI0007:01 is registered as cooling_device1
ACPI: LNXTHERM:01 is registered as thermal_zone0
ACPI: Thermal Zone [THRM] (61 C)
ACPI: PCI Interrupt 0000:00:1a.7[C] -> GSI 18 (level, low) -> IRQ 18
ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 23 (level, low) -> IRQ 23
ACPI: PCI Interrupt 0000:00:1a.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:00:1a.1[B] -> GSI 21 (level, low) -> IRQ 21
ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 23 (level, low) -> IRQ 23
ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19 (level, low) -> IRQ 19
ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 18
ACPI: PCI Interrupt 0000:00:1f.2[B] -> GSI 18 (level, low) -> IRQ 18
ACPI: PCI Interrupt 0000:07:00.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: Power Button (FF) [PWRF]
ACPI: Lid Switch [LID0]
ACPI: Sleep Button (CM) [SLPB]
ACPI: Power Button (CM) [PWRB]
ACPI: AC Adapter [ADP1] (off-line)
ACPI: PCI Interrupt 0000:01:04.2[A] -> GSI 17 (level, low) -> IRQ 17
ACPI: Battery Slot [BAT1] (battery present)
ACPI: PCI Interrupt 0000:01:04.0[A] -> GSI 17 (level, low) -> IRQ 17
ACPI: WMI: Mapper loaded
ACPI: device:11 is registered as cooling_device2
ACPI: Video Device [VGA] (multi-head: yes  rom: no  post: no)
ACPI: PCI Interrupt 0000:00:1f.3[C] -> GSI 17 (level, low) -> IRQ 17
ACPI: PCI Interrupt 0000:06:00.0[A] -> GSI 19 (level, low) -> IRQ 19
ACPI: PCI interrupt for device 0000:06:00.0 disabled
ACPI: PCI Interrupt 0000:08:00.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 21 (level, low) -> IRQ 21

Comment 7 analyzer 2008-10-04 12:53:35 UTC
Laptop: MSI GX700

Some errors reported by dmesg.

Updated to Linux fedorabox 2.6.26.5-45.fc9.i686 #1 SMP Sat Sep 20 03:45:00 EDT 2008 i686 i686 i386 GNU/Linux

[root@~fedorabox] [~]# dmesg | grep -e "ACPI" -e "PIC" -e "IOAPIC"
 BIOS-e820: 000000007ffb0000 - 000000007ffbe000 (ACPI data)
 BIOS-e820: 000000007ffbe000 - 000000007fff0000 (ACPI NVS)
Using APIC driver default
ACPI: RSDP 000F8DC0, 0014 (r0 ACPIAM)
ACPI: RSDT 7FFB0000, 0040 (r1 MSI_NB MEGABOOK 20080311 MSFT       97)
ACPI: FACP 7FFB0200, 0084 (r2 031108 FACP1029 20080311 MSFT       97)
ACPI: DSDT 7FFB05B0, 4FF8 (r1  17190 17190000        0 INTL 20051117)
ACPI: FACS 7FFBE000, 0040
ACPI: APIC 7FFB0390, 005C (r1 031108 APIC1029 20080311 MSFT       97)
ACPI: MCFG 7FFB03F0, 003C (r1 031108 OEMMCFG  20080311 MSFT       97)
ACPI: SLIC 7FFB0430, 0176 (r1 MSI_NB MEGABOOK 20080311 MSFT       97)
ACPI: OEMB 7FFBE040, 0071 (r1 031108 OEMB1029 20080311 MSFT       97)
ACPI: HPET 7FFB55B0, 0038 (r1 031108 OEMHPET  20080311 MSFT       97)
ACPI: SSDT 7FFBEA40, 04F0 (r1  PmRef    CpuPm     3000 INTL 20051117)
ACPI: PM-Timer IO Port: 0x808
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x01] lapic_id[0x00] enabled)
ACPI: LAPIC (acpi_id[0x02] lapic_id[0x01] enabled)
ACPI: IOAPIC (id[0x02] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 2, version 32, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 dfl dfl)
ACPI: INT_SRC_OVR (bus 0 bus_irq 9 global_irq 9 high level)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ9 used by override.
Enabling APIC mode:  Flat.  Using 1 I/O APICs
ACPI: HPET id: 0x8086a201 base: 0xfed00000
Using ACPI (MADT) for SMP configuration information
mapped APIC to ffffb000 (fee00000)
mapped IOAPIC to ffffa000 (fec00000)
ACPI: Core revision 20080321
ENABLING IO-APIC IRQs
ACPI: bus type pci registered
ACPI: EC: Look up EC in DSDT
ACPI: Interpreter enabled
ACPI: (supports S0 S1 S3 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI Error (evregion-0316): No handler for Region [EC__] (f78117a8) [EmbeddedControl] [20080321]
ACPI Error (exfldio-0290): Region EmbeddedControl(3) has no handler [20080321]
ACPI Error (psparse-0530): Method parse/execution failed [\_SB_.PCI0.SBRG.EC__.BAT1._STA] (Node f7812e88), AE_NOT_EXIST
ACPI Error (uteval-0233): Method execution failed [\_SB_.PCI0.SBRG.EC__.BAT1._STA] (Node f7812e88), AE_NOT_EXIST
ACPI Error (evregion-0316): No handler for Region [EC__] (f78117a8) [EmbeddedControl] [20080321]
ACPI Error (exfldio-0290): Region EmbeddedControl(3) has no handler [20080321]
ACPI Error (psparse-0530): Method parse/execution failed [\_SB_.PCI0.SBRG.EC__.BAT1._STA] (Node f7812e88), AE_NOT_EXIST
ACPI Error (uteval-0233): Method execution failed [\_SB_.PCI0.SBRG.EC__.BAT1._STA] (Node f7812e88), AE_NOT_EXIST
PCI: MCFG area at e0000000 reserved in ACPI motherboard resources
ACPI: EC: non-query interrupt received, switching to interrupt mode
ACPI: EC: GPE storm detected, disabling EC GPE
ACPI: EC: missing confirmations, switch off interrupt mode.
ACPI: EC: GPE = 0x17, I/O: command/status = 0x66, data = 0x62
ACPI: EC: driver started in poll mode
ACPI: PCI Root Bridge [PCI0] (0000:00)
pci 0000:00:1f.0: quirk: region 0800-087f claimed by ICH6 ACPI/GPIO/TCO
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P1._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P8._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P2._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P3._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P4._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P6._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P0P7._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 *10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 10 *11 12 14 15)
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 *5 6 7 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs *3 4 5 6 7 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKE] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKF] (IRQs 3 *4 5 6 7 10 11 12 14 15)
ACPI: PCI Interrupt Link [LNKG] (IRQs 3 4 5 6 7 10 11 12 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKH] (IRQs 3 4 5 6 *7 10 11 12 14 15)
ACPI Warning (tbutils-0217): Incorrect checksum in table [OEMB] - 76, should be A1 [20080321]
pnp: PnP ACPI init
ACPI: bus type pnp registered
pnp: PnP ACPI: found 13 devices
ACPI: ACPI bus type pnp unregistered
PCI: Using ACPI for IRQ routing
ACPI: RTC can wake from S4
ACPI: PCI Interrupt 0000:00:01.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:00:1c.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:00:1c.1[B] -> GSI 17 (level, low) -> IRQ 17
ACPI: PCI Interrupt 0000:00:1c.2[C] -> GSI 18 (level, low) -> IRQ 18
ACPI: PCI Interrupt 0000:00:1c.3[D] -> GSI 19 (level, low) -> IRQ 19
ACPI: PCI Interrupt 0000:00:1c.4[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: Power Button (FF) [PWRF]
ACPI: Lid Switch [LID0]
ACPI: Sleep Button (CM) [SLPB]
ACPI: Power Button (CM) [PWRB]
ACPI: SSDT 7FFBE190, 027E (r1  PmRef  Cpu0Ist     3000 INTL 20051117)
ACPI: SSDT 7FFBE4A0, 0594 (r1  PmRef  Cpu0Cst     3001 INTL 20051117)
ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3])
ACPI: ACPI0007:00 is registered as cooling_device0
ACPI: SSDT 7FFBE0C0, 00CC (r1  PmRef  Cpu1Ist     3000 INTL 20051117)
ACPI: SSDT 7FFBE410, 0085 (r1  PmRef  Cpu1Cst     3000 INTL 20051117)
ACPI: CPU1 (power states: C1[C1] C2[C2] C3[C3])
ACPI: ACPI0007:01 is registered as cooling_device1
ACPI: LNXTHERM:01 is registered as thermal_zone0
ACPI: Thermal Zone [THRM] (75 C)
ACPI: PCI Interrupt 0000:00:1a.7[C] -> GSI 18 (level, low) -> IRQ 18
ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 23 (level, low) -> IRQ 23
ACPI: PCI Interrupt 0000:00:1a.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:00:1a.1[B] -> GSI 21 (level, low) -> IRQ 21
ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 23 (level, low) -> IRQ 23
ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19 (level, low) -> IRQ 19
ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 18
ACPI: PCI Interrupt 0000:00:1f.2[B] -> GSI 18 (level, low) -> IRQ 18
ACPI: AC Adapter [ADP1] (on-line)
ACPI: PCI Interrupt 0000:07:00.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:00:1f.3[C] -> GSI 17 (level, low) -> IRQ 17
ACPI: WMI: Mapper loaded
ACPI: PCI Interrupt 0000:01:04.2[A] -> GSI 17 (level, low) -> IRQ 17
ACPI: device:11 is registered as cooling_device2
ACPI: Video Device [VGA] (multi-head: yes  rom: no  post: no)
ACPI: PCI Interrupt 0000:01:04.0[A] -> GSI 17 (level, low) -> IRQ 17
ACPI: PCI Interrupt 0000:06:00.0[A] -> GSI 19 (level, low) -> IRQ 19
ACPI: Battery Slot [BAT1] (battery present)
ACPI: PCI interrupt for device 0000:06:00.0 disabled
ACPI: PCI Interrupt 0000:08:00.0[A] -> GSI 16 (level, low) -> IRQ 16
ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 21 (level, low) -> IRQ 21


Note You need to log in before you can comment on or make changes to this bug.